<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/dashboard')]
class DashboardController extends AbstractController
{
    #[Route('/', name: 'dashboard')]
    public function index(): Response
    {
        if ($this->isGranted('ROLE_ADMIN')) {
            return $this->render('admin.html.twig');
        }

        if ($this->isGranted('ROLE_SECRETAIRE')) {
            return $this->render('secretaire.html.twig');
        }

        if ($this->isGranted('ROLE_CHAUFFAGISTE')) {
            return $this->render('chauffagiste.html.twig');
        }

        throw $this->createAccessDeniedException('Vous ne pouvez pas accéder à ce tableau de bord.');
    }
}
